import get from 'lodash/get';
export default (({
  values,
  rules,
  setErrors
}) => {
  let newErrors = Object.keys(rules).map(field => rules[field].map(rule => {
    let error = rule(get(values, field) || '', values);
    if (!error) return false;
    return {
      name: field,
      message: error
    };
  })).reduce((acc, row) => [...acc, ...row], []).filter(Boolean);
  setErrors(newErrors);
  return newErrors;
});